Package Details: kdenlive-git 19.04.0.r11019.960a505e4-1

Git Clone URL: https://aur.archlinux.org/kdenlive-git.git (read-only)
Package Base: kdenlive-git
Description: A non-linear video editor for Linux using the MLT video framework. KF5 Frameworks (Latest Applications GIT Version)
Upstream URL: http://www.kdenlive.org/
Licenses: GPL
Conflicts: kdenlive
Provides: kdenlive
Submitter: nous
Maintainer: evorster
Last Packager: evorster
Votes: 62
Popularity: 0.000012
First Submitted: 2011-11-28 22:37
Last Updated: 2019-04-12 06:51

Dependencies (20)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

alphazo commented on 2013-11-02 20:31

Package "glew" needs to be added as a required package to compile kdenlive-git.

Splashy commented on 2013-06-01 06:41

If you can't launch kdenlive:

kdenlive with --mlt-path /usr/share/mlt/profiles

and then in kdenlive go in option/environment and check that the path for the binaries are ok.

Splashy commented on 2013-05-29 17:31

I have a problem with kdenlive, it only runs as Root...

nous commented on 2012-09-23 16:33

Done, thanks.

Anonymous comment on 2012-09-23 10:58

The current version fails with the following:

[ 87%] Building CXX object src/CMakeFiles/kdenlive.dir/renderer.o
/home/thor/kdenlive/kdenlive-git/src/kdenlive/src/renderer.cpp: In member function 'void Render::buildConsumer(const QString&)':
/home/thor/kdenlive/kdenlive-git/src/kdenlive/src/renderer.cpp:199:42: error: 'class Mlt::Profile' has no member named 'colorspace'
make[2]: *** [src/CMakeFiles/kdenlive.dir/renderer.o] Error 1
make[1]: *** [src/CMakeFiles/kdenlive.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

This was fixed by removing "mlt" and installing "mlt-git", so maybe you need to update the dependencies until the mlt changes make it to the regular version?

nous commented on 2012-07-20 10:46

Fixed, thanks. At least it compiles on others.

attilio commented on 2012-07-20 08:08

I tried to compile using makepkg but it does not work for me unless I apply the modification shown in my previous comment.

Attilio

nous commented on 2012-07-19 18:25

If yaourt (or any other pacman/makepkg wrapper) fails, please use straight makepkg. It should work where yaourt fails.

I still can't compile it though, cmake wont find automoc4 binary no matter what.

attilio commented on 2012-07-19 14:44

Error in building:

tmp/yaourt-tmp-sickboy/aur-kdenlive-git/./PKGBUILD: line 56: cd: /tmp/yaourt-tmp-sickboy/aur-kdenlive-git/src/kdenlive-build: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build kdenlive-git.

Successfully compiled with the following modification

package() {
cd "$srcdir/$_gitname-build"

-->

package() {
cd "$srcdir/$_gitname/build"

nous commented on 2012-07-19 09:30

==> Connecting to the GIT server....
Cloning into 'kdenlive'...
remote: Counting objects: 45674, done.
remote: Compressing objects: 100% (9811/9811), done.
Receiving objects: 26% (12110/45674), 7.37 MiB | 635 KiB/s


But it fails at cmake configuration:
CMake Error at /usr/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 (MESSAGE):
Did not find automoc4 (Automoc4Config.cmake, install
git://anongit.kde.org/automoc). (missing: AUTOMOC4_EXECUTABLE)
Call Stack (most recent call first):
/usr/share/apps/cmake/modules/FindAutomoc4.cmake:49 (find_package_handle_standard_args)
/usr/share/apps/cmake/modules/FindKDE4Internal.cmake:423 (find_package)
/usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
CMakeLists.txt:51 (find_package)


-- Configuring incomplete, errors occurred!

Something's broken in my configuration (automoc4 is installed alright), does it compile on anyone else?